Bug 158934 - x86-64 doesn't match 32-bit syscall numbers for special handling
x86-64 doesn't match 32-bit syscall numbers for special handling
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks: 158925
  Show dependency treegraph
 
Reported: 2005-05-26 19:28 EDT by Roland McGrath
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-08 05:42:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roland McGrath 2005-05-26 19:28:30 EDT
The x86-64 strace tracing a 32-bit process fails to match the right system call
numbers for special handling.  This breaks -f among other things.
Comment 1 Roland McGrath 2005-06-08 05:42:19 EDT
Fixed upstream, release soon.

Note You need to log in before you can comment on or make changes to this bug.